# Get Photo/Look Generation Status

Retrieves the current status and details of an avatar or look by its ID. 

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** panel on the right and choose an example to explore different photo/look generation statuses (such as in progress or success) and see how each status appears in the API response examples.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/photo_avatar/generation/{generation_id}": {
      "get": {
        "summary": "Check photo/look generation status",
        "description": "Check photo/look generation status",
        "operationId": "check-photolook-generation-status",
        "parameters": [
          {
            "name": "generation_id",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique identifier of the generated avatar/look. For AI-generated avatars, this can be retrieved from the <a href=\"https://docs.heygen.com/reference/generate-photo-avatar-photos\" target=\"_blank\">Generate Photo Avatar Photos</a> endpoint. For AI-generated looks, this can be retrieved from the <a href=\"https://docs.heygen.com/reference/generate-photo-avatar-looks\" target=\"_blank\">Generate Photo Avatar Looks</a> endpoint."
          }
        ],
        "responses": {
          "200": {
            "description": "Status retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Success": {
                    "value": {
                      "error": null,
                      "data": {
                        "id": "61zc2af7ad12cf6cacfac97n99c47331",
                        "status": "success",
                        "msg": null,
                        "image_url_list": [
                          "https://resource2.heygen.ai/image/d9e6bbbba83a400885fe9df1abe5f131/original",
                          "https://resource2.heygen.ai/image/d0130e2c57024e208f5aab3bdfd5fefb/original",
                          "https://resource2.heygen.ai/image/d982e90bb20f410786914732eac634b7/original",
                          "https://resource2.heygen.ai/image/dfef1b03e4b2439c85ada1458df37fc2/original"
                        ],
                        "image_key_list": [
                          "image/d9e6bbbba83a400885fe9df1abe5f131/original",
                          "image/d0130e2c57024e208f5aab3bdfd5fefb/original",
                          "image/d982e90bb20f410786914732eac634b7/original",
                          "image/dfef1b03e4b2439c85ada1458df37fc2/original"
                        ]
                      }
                    },
                    "summary": "Success"
                  },
                  "In Progress": {
                    "summary": "In Progress",
                    "value": {
                      "error": null,
                      "data": {
                        "id": "61zc2af7ad12cf6cacfac97n99c47331",
                        "status": "in_progress",
                        "msg": null,
                        "image_url_list": null,
                        "image_key_list": null
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "51be01eda38e4c2b9836f06957f66b7d",
                          "description": "Unique identifier of the generated avatar/look. "
                        },
                        "status": {
                          "type": "string",
                          "example": "success",
                          "description": "Current status of the generated avatar or look. "
                        },
                        "msg": {
                          "type": "string",
                          "description": "Legacy field for messages. This field is deprecated."
                        },
                        "image_url_list": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "example": "https://resource2.heygen.ai/image/d9e6bbbba83a400885fe9df1abe5f131/original"
                          },
                          "description": "URLs of the generated avatars/looks. "
                        },
                        "image_key_list": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "example": "image/d9e6bbbba83a400885fe9df1abe5f131/original"
                          },
                          "description": "Image keys corresponding to the generated avatars/looks. "
                        }
                      },
                      "description": "Contains detailed information about the generated avatar/look. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```